#include <iostream>

using namespace std;

int main()
{
    long long int n,m,k;
    int t;
    long long int resenje;

    cin >> t;
    while(t--){

        cin >> n >> m >> k;

            long long int koliko_u_grupi;
            koliko_u_grupi = n / k;
            long long int zbir_u_grupi;
            zbir_u_grupi = (koliko_u_grupi * (koliko_u_grupi + 1)) / 2;
            long long int poslednja_grupa;
            poslednja_grupa = ((koliko_u_grupi + 1) * (koliko_u_grupi + 2))/2;
            resenje = (k - (n % k))*zbir_u_grupi + poslednja_grupa * (n % k);

            if(resenje > m){
                cout << "Nie"<< endl;
                continue;
            }
            else{
                cout << "Tak"<< endl;
                continue;
            }


    }


    return 0;
}